Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
4 replies Latest Post - ‏2007-05-14T06:32:04Z by Uzma
Uzma
Uzma
3 Posts
ACCEPTED ANSWER

Pinned topic MQSeries Workflow API Error

‏2007-05-08T06:50:39Z |
Hello,
we are using JAVA API on windows and suddenly got the following error

FMC38009E MQSeries Workflow API Error :
API Return Code : 505
Error Origin : FmcSession.java:1027
Error Message : FMC00505E Program version 3.6.0 of the client is newer than program version 3.5.0 of the server.
Nested Exception : None
5/4/07 15:58:21:380 PKT 3115b4b5 SystemErr R at com.ibm.workflow.client.api.FmcSession.Logon(FmcSession.java:1027)
5/4/07 15:58:21:380 PKT 3115b4b5 SystemErr R at com.ibm.workflow.client.api.FmcExecutionService.logon2(FmcExecutionService.java:795)
Updated on 2007-05-14T06:32:04Z at 2007-05-14T06:32:04Z by Uzma
  • SystemAdmin
    SystemAdmin
    2340 Posts
    ACCEPTED ANSWER

    Re: MQSeries Workflow API Error

    ‏2007-05-08T09:21:33Z  in response to Uzma
    I think the error message is self explaining:
    FMC00505E Program version 3.6.0 of the client is newer than program
    version 3.5.0 of the server

    Volker Hoss
    IBM WebSphere Process Server Development
    • Uzma
      Uzma
      3 Posts
      ACCEPTED ANSWER

      Re: MQSeries Workflow API Error

      ‏2007-05-08T09:50:08Z  in response to SystemAdmin
      I know but this is just appeared. before it worked fine.
      but what i need to look and change ?

      ANy help would be appreciated.
      • SystemAdmin
        SystemAdmin
        2340 Posts
        ACCEPTED ANSWER

        Re: MQSeries Workflow API Error

        ‏2007-05-12T07:34:37Z  in response to Uzma
        uzma.tauseef@secp.gov.pk wrote:
        > I know but this is just appeared. before it worked fine.
        > but what i need to look and change ?
        >
        > ANy help would be appreciated.

        Take a look at what Hos told you.
        Someone update the installation of your
        client. You can take a look into
        the registry "local machine" "software" "ibm"
        "MQSeries Workflow" and further or
        yust run fmczchk on console which will told
        you your client version also.

        HTH
        Frank
        • Uzma
          Uzma
          3 Posts
          ACCEPTED ANSWER

          Re: MQSeries Workflow API Error

          ‏2007-05-14T06:32:04Z  in response to SystemAdmin
          I have checked that and the answer is 3.5. No one installed newer version.
          Now i Think it is the issue in Jar file in my application isnt it... How can i fix that error if i havent make any change.